none
Windows Server 2016怎么安装 .NET Framework 4.5 RRS feed

  • 问题

  • 现在客户的服务器上安装了Windows Server 2016,但是软件需要在.NET Framework 4.5的环境下面运行,请问怎么安装.NET Framework 4.5。因为没有找到支持Windows Server 2016的版本。
    2020年1月20日 5:58

全部回复

  • 你好,

    Windows server2016默认安装了.net 4.6.根据官网的信息,如果已经装了更新版本的.net组件的话,之前版本的是无法安装的。

    .NET Framework 4.x 版本是早期版本的就地更新版。 这意味着:
    计算机上只能安装一个版本的 .NET Framework 4.x。
    如果计算机上已安装更高版本,则不能安装 .NET Framework 的早期版本。
    .NET Framework 4.x 版本可用于运行针对 .NET Framework 4.0 到该版本生成的应用程序。 例如,.NET Framework 4.7 可用于运行针对 .NET Framework 4.0-4.7 生成的应用程序。 最新版本(即 .NET Framework 4.8)可用于运行使用从 .NET Framework 4.0 开始的 .NET Framework 的所有版本生成的应用程序。

    可以尝试程序是否可以使用,如果一定是需要4.5的话,那么我想可以先卸载4.6,然后再装4.5.查看一下下方的命令。

    https://social.technet.microsoft.com/Forums/azure/en-US/067b053d-3482-427c-823f-fc6d155fc263/net-45-disabled-in-windows-2016-how-to-enable-it-again?forum=winserverManagement

    如果回答是有帮助的, 请将其标记为答案, 可以帮助其他有相同问题的社区成员, 并快速找到有用的答复。


    针对Windows 2008/2008R2的扩展支持将于2020年结束,之后微软将不再为其提供安全更新。点击此处或扫描二维码获取《在 Azure 上运行 Windows Server 的终极指南》,把握良机完成云迁移并实现业务现代化。


    2020年1月20日 9:57